using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.Generic;
using System.Linq;

namespace GaugeBuilder
{
    public static class Extensions
    {
        public static void AddRange<T>(this IList<T> baseCol, IEnumerable<T> newCol) 
        {
            foreach (var item in newCol)
            {
                baseCol.Add(item);
            }
        }

        public static T FindParent<T>(this DependencyObject element)
            where T : DependencyObject
        {
            var parent = VisualTreeHelper.GetParent(element);
            while (parent != null) 
            {
                if (parent is T)
                    return (T)parent;
                parent = VisualTreeHelper.GetParent(parent);
            }
            return default(T);
        }
    }
}
